Site24x7
            Knowledge Base Site24x7 Knowledge Base Plugins Linux Plugins

            What are the dependency modules to be installed while adding a plugin?

            Please find below the list of plugins with their required dependency modules:
            • MySQL - pymysql
            • Redis - redis
            • Postgres - psycopg2
            • Memcached - memcached
            • MongoDB - pymongo
            • DB2 - ibm_db
            • StatsD - statsd
            • iNode - psutil
            • Twilio - twilio
            • Supervisord - supervisor
            • RabbitMQ - Management Plugin
            How will I know if the module is installed properly?
            While adding a plugin, if you get the error message "<Module not installed>", it means the dependency module is not present or the installed module is damaged.
            Troubleshooting:
            Please install the required module and restart the server agent. In the next data collection, your plugin monitor would be added to your Site24x7 account.



            Related Articles:

            Updated: 29 Jan 2018 11:02 PM
            Helpful?  
            Help us to make this article better
            0 0